OnlyFansConnect OnlyFans Account
Re-authenticate Account
Retry authentication using the saved credentials, without collecting replacement email or password. To collect new credentials in the hosted popup, create a client session with account_id and call updateOnlyFansCredentials(token, options) from @onlyfansapi/auth. For server-side credential replacement, use Update Authentication Credentials.
Authorization
default AuthorizationBearer <token>
Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys
In: header
Path Parameters
account_id*string
The Account ID of the authentication process
Response Body
application/json
application/json
curl -X POST "https://app.fansapi.com/api/authenticate/acct_XXXXXXXXXX/reauthenticate"{
"success": true,
"message": "Re-authentication started.",
"polling_url": "https://app.onlyfansapi.com/api/authenticate/auth_XXXXXXX"
}{
"message": "Can't re-authenticate account at this time.",
"reason": "Account is already successfully authenticated"
}